--------------------------------------------------------------------------------
--  File     : Tavern_int
--  Author(s): Prokopovich Larisa
--
--  Summary  : Скрипт управления локацией.
--
--  Copyright © 2012 Floodlight Games.  All rights reserved.
--------------------------------------------------------------------------------
function OnFirstEntry()
	comment:Add("CMT_Tavern_Player")
	
	room:GetItem("WITCH_BOX"):Disable ()
	
	stars:Show("WITCH_BOX", "2")
	stars:Show("POKER", "4")
end
--------------------------------------------------------------------------------
function OnEntry()
	music:PlayLoopWithDelay(10, "The_Mist") 
	ambient:Play("Tavern_int")
end
--------------------------------------------------------------------------------
function OnMouseClickOnItem(item)
	local itemName = item:GetName()
	
	if itemName == "M_TO_TAVERN_EXT" then							--выход из таверны				
		chapter:JumpRoom("Tavern_ext")
		return true
			
	elseif (itemName == "WITCH_BOX") and							--переход в миниигру с шкатулкой
	       not(item:IsEnabled()) then							
		chapter:JumpRoom("Tavern_int_Witch_box_MG")
		return true
	end
	
			
	if itemName == "POKER" then							--кочерга
		comment:Add("CMT_Poker_Player") 
		return true
		
	elseif itemName == "M_BARMAN" then					--бармен
		comment:Add("CMT_Keeper_Player") 
		return true
	end
end
--------------------------------------------------------------------------------
function OnClickItemOnItem(item)					
	local itemName = item:GetName()
	
	if itemName == "POKER" then							--рукавица на кочергу 
		if cursor:IsItemNameEqual("GLOVE") then			
			cursor:RemoveItem()
			item:Hide()
			pick_panel:AddItems("POKER", false)
			room.sfx:Play ("take_poker")				--звук "берется кочерга рукавицей"
			return true
		end
	end
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Close_Witch_Box(value)					--курсор на шкатулке
	if value == 2 then
		room:GetItem("WITCH_BOX"):Enable ()
		stars:Hide("WITCH_BOX")
	end
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Cheat_TavernInt(value)					--выполнить все в локации  !!!
	cstore:SetKey("Close_Witch_Box",2)
	room:GetItem("POKER"):Hide()
end
